# Class FlowService

- Defined in src/services.gen.ts:2464

#####
Index

### Constructors

constructor

### Methods

archiveFlowByPath
createFlow
deleteFlowByPath
existsFlowByPath
getFlowByPath
getFlowByPathWithDraft
getFlowInputHistoryByPath
getHubFlowById
listFlowPaths
listFlows
listHubFlows
listSearchFlow
toggleWorkspaceErrorHandlerForFlow
updateFlow

##
Constructors

### constructor

- new FlowService(): FlowService

- #### Returns FlowService

##
Methods

### `Static` archiveFlowByPath

- archiveFlowByPath(data): CancelablePromise<string>

- archive flow by path

  #### Parameters

  - data: ArchiveFlowByPathData

    The data for the request.

  #### Returns CancelablePromise<string>

  string flow archived

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:2699

### `Static` createFlow

- createFlow(data): CancelablePromise<string>

- create flow

  #### Parameters

  - data: CreateFlowData

    The data for the request.

  #### Returns CancelablePromise<string>

  string flow created

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:2656

### `Static` deleteFlowByPath

- deleteFlowByPath(data): CancelablePromise<string>

- delete flow by path

  #### Parameters

  - data: DeleteFlowByPathData

    The data for the request.

  #### Returns CancelablePromise<string>

  string flow delete

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:2720

### `Static` existsFlowByPath

- existsFlowByPath(data): CancelablePromise<boolean>

- exists flow by path

  #### Parameters

  - data: ExistsFlowByPathData

    The data for the request.

  #### Returns CancelablePromise<boolean>

  boolean flow details

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:2637

### `Static` getFlowByPath

- getFlowByPath(data): CancelablePromise<Flow>

- get flow by path

  #### Parameters

  - data: GetFlowByPathData

    The data for the request.

  #### Returns CancelablePromise<Flow>

  Flow flow details

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:2577

### `Static` getFlowByPathWithDraft

- getFlowByPathWithDraft(data): CancelablePromise<GetFlowByPathWithDraftResponse>

- get flow by path with draft

  #### Parameters

  - data: GetFlowByPathWithDraftData

    The data for the request.

  #### Returns CancelablePromise<GetFlowByPathWithDraftResponse>

  unknown flow details with draft

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:2618

### `Static` getFlowInputHistoryByPath

- getFlowInputHistoryByPath(data): CancelablePromise<GetFlowInputHistoryByPathResponse>

- list inputs for previous completed flow jobs

  #### Parameters

  - data: GetFlowInputHistoryByPathData

    The data for the request.

  #### Returns CancelablePromise<GetFlowInputHistoryByPathResponse>

  Input input history for completed jobs with this flow path

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:2741

### `Static` getHubFlowById

- getHubFlowById(data): CancelablePromise<GetHubFlowByIdResponse>

- get hub flow by id

  #### Parameters

  - data: GetHubFlowByIdData

    The data for the request.

  #### Returns CancelablePromise<GetHubFlowByIdResponse>

  unknown flow

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:2484

### `Static` listFlowPaths

- listFlowPaths(data): CancelablePromise<ListFlowPathsResponse>

- list all flow paths

  #### Parameters

  - data: ListFlowPathsData

    The data for the request.

  #### Returns CancelablePromise<ListFlowPathsResponse>

  string list of flow paths

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:2501

### `Static` listFlows

- listFlows(data): CancelablePromise<ListFlowsResponse>

- list all flows

  #### Parameters

  - data: ListFlowsData

    The data for the request.

  #### Returns CancelablePromise<ListFlowsResponse>

  unknown All flow

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:2549

### `Static` listHubFlows

- listHubFlows(): CancelablePromise<ListHubFlowsResponse>

- list all hub flows

  #### Returns CancelablePromise<ListHubFlowsResponse>

  unknown hub flows list

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:2470

### `Static` listSearchFlow

- listSearchFlow(data): CancelablePromise<ListSearchFlowResponse>

- list flows for search

  #### Parameters

  - data: ListSearchFlowData

    The data for the request.

  #### Returns CancelablePromise<ListSearchFlowResponse>

  unknown flow list

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:2518

### `Static` toggleWorkspaceErrorHandlerForFlow

- toggleWorkspaceErrorHandlerForFlow(data): CancelablePromise<string>

- Toggle ON and OFF the workspace error handler for a given flow

  #### Parameters

  - data: ToggleWorkspaceErrorHandlerForFlowData

    The data for the request.

  #### Returns CancelablePromise<string>

  string error handler toggled

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:2597

### `Static` updateFlow

- updateFlow(data): CancelablePromise<string>

- update flow

  #### Parameters

  - data: UpdateFlowData

    The data for the request.

  #### Returns CancelablePromise<string>

  string flow updated

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:2677